Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/gh/kyc/address/gps
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
addressstringThe Digital Address Number (AK-012-3456)required

Sample response

Response
{
  "entity": {
     "street_name": "Mercy Cl",
     "region": "Western",
     "district": "District Name",
     "community": "Kwaso Community",
     "postal_area": "Western",
     "post_code": "WS001",
     "location": "4.930449802346897,-1.736600565930667"
  }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.street_namestringName of the street at the digital address
entity.regionstringRegion where the address is located
entity.districtstringDistrict where the address is located
entity.communitystringCommunity or neighborhood name
entity.postal_areastringPostal area for the address
entity.post_codestringPost code for the address
entity.locationstringGPS coordinates of the address (latitude,longitude)